Debian Bug report logs - #701459
ITP: libur-perl -- rich declarative transactional objects

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "olivier.sallou@codeless.fr" <olivier.sallou@codeless.fr>

Date: Sat, 23 Feb 2013 11:51:04 UTC

Owned by: olivier sallou <osallou@debian.org>

Severity: wishlist

Fixed in version libur-perl/0.400-1

Done: Olivier Sallou <osallou@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.alioth.debian.org, debian-perl-packaging@lists.alioth.debian.org, debian-med-packaging@lists.alioth.debian.org, wnpp@debian.org, olivier sallou <osallou@debian.org>:
Bug#701459; Package wnpp. (Sat, 23 Feb 2013 11:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "olivier.sallou@codeless.fr" <olivier.sallou@codeless.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.alioth.debian.org, debian-perl-packaging@lists.alioth.debian.org, debian-med-packaging@lists.alioth.debian.org, wnpp@debian.org, olivier sallou <osallou@debian.org>. (Sat, 23 Feb 2013 11:51:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "olivier.sallou@codeless.fr" <olivier.sallou@codeless.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libur-perl -- rich declarative transactional objects
Date: Sat, 23 Feb 2013 12:48:02 +0100
Package: wnpp
Owner: olivier sallou <osallou@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.alioth.debian.org,debian-perl-packaging@lists.alioth.debian.org,debian-med-packaging@lists.alioth.debian.org

* Package name    : libur-perl
  Version         : 0.392
  Upstream Author :  Anthony Brummett  <brummett@cpan.org>,Scott Smith <sakoht@cpan.org>
* URL             : http://search.cpan.org/dist/UR/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     :  rich declarative transactional objects

 UR is a class framework and object/relational mapper for Perl. It starts with
 the familiar Perl meme of the blessed hash reference as the basis for object
 instances, and extends its capabilities with ORM (object-relational mapping)
 capabilities, object cache, in-memory transactions, more formal class
 definitions, metadata, documentation system, iterators, command line tools,
 etc.
 .
 UR can handle multiple column primary and foreign keys, SQL joins involving
 class inheritance and relationships, and does its best to avoid querying the
 database unless the requested data has not been loaded before. It has support
 for SQLite, Oracle, Mysql and Postgres databases, and the ability to use a
 text file as a table.
 .
 UR uses the same syntax to define non-persistent objects, and supports
 in-memory transactions for both.


-- 
gpg key id: 4096R/326D8438  (keyring.debian.org)
Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 14 Mar 2013 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Olivier Sallou <osallou@debian.org>:
You have taken responsibility. (Sat, 13 Apr 2013 00:03:24 GMT) Full text and rfc822 format available.

Notification sent to "olivier.sallou@codeless.fr" <olivier.sallou@codeless.fr>:
Bug acknowledged by developer. (Sat, 13 Apr 2013 00:03:24 GMT) Full text and rfc822 format available.

Message #12 received at 701459-close@bugs.debian.org (full text, mbox):

From: Olivier Sallou <osallou@debian.org>
To: 701459-close@bugs.debian.org
Subject: Bug#701459: fixed in libur-perl 0.400-1
Date: Sat, 13 Apr 2013 00:00:04 +0000
Source: libur-perl
Source-Version: 0.400-1

We believe that the bug you reported is fixed in the latest version of
libur-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701459@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Olivier Sallou <osallou@debian.org> (supplier of updated libur-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 23 Feb 2013 11:12:22 +0100
Source: libur-perl
Binary: libur-perl
Architecture: source all
Version: 0.400-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Olivier Sallou <osallou@debian.org>
Description: 
 libur-perl - object/relation mapper library
Closes: 701459
Changes: 
 libur-perl (0.400-1) unstable; urgency=low
 .
   * Initial Release (Closes: #701459).
Checksums-Sha1: 
 9abfb1289707c53f36ad0a411ad0bc934b319b5d 2524 libur-perl_0.400-1.dsc
 4ee933677af6fb7f15c77e8c62bd935e1db8d4f8 1646744 libur-perl_0.400.orig.tar.gz
 6f949f4e2018c47bab81dd25412faf235e80ec43 8576 libur-perl_0.400-1.debian.tar.gz
 67beb50e8a37a9e168d9a698dc18d052ed4b06dc 1573950 libur-perl_0.400-1_all.deb
Checksums-Sha256: 
 052f17a34ec39c0da22f43e2df24b5e987d37910640ef5f00b19f736251af429 2524 libur-perl_0.400-1.dsc
 b38c3639f28d44f0c8fab6d6aa532432aff5f0c59e0bc167bc36727e5de67f37 1646744 libur-perl_0.400.orig.tar.gz
 69e331835cfd90c4e84607f2f2961945e29a67cfaa4f5bcce239ba5319ebf03b 8576 libur-perl_0.400-1.debian.tar.gz
 b13c32b44e9f17b6ba963a9f9a8a22bfdfdc7e029d8aaaf505369bc8c4b83b43 1573950 libur-perl_0.400-1_all.deb
Files: 
 3ec705a0e800b48a99264b1f73fc7a18 2524 perl optional libur-perl_0.400-1.dsc
 e7af60d8a37759f443b843cf963f121f 1646744 perl optional libur-perl_0.400.orig.tar.gz
 0a9ac31749fa7286a978235892aa0257 8576 perl optional libur-perl_0.400-1.debian.tar.gz
 f0d50aedb319648351df92544bab0b1e 1573950 perl optional libur-perl_0.400-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRQffvAAoJELs6aAGGSaoG+3kQAIzN7b3QrsatZWjoPVsmD8Eb
YWV5LwXfj6BejVLTZgN82FLeb9g3s+zKrUes0ZqE5JeuHPkTYbKuGOKQ4ScIT6uv
Q6divg0Go7HxPqJ97IxgFxsO0KN/DwXUqSQFQv+fqtN0pprbr5MVveHviFhQ/K42
v5ejRUEC/wX8FUZpiVfdHZCd70zwqFk4DZP7h6UTG6R/JwfLAPpOajGC1Sq5a3/q
xa3cLQ6O2Lao2qzo31tt73KO5b57qebcsUrI43VVmFGBuWMYAa/x3hG2dGhy5U4q
fcuSMXyNMzjX252um1ObTtfimuGRqjUU2DfFHCgwy1Gc+jPSotR2PKE+FUSWNIal
SwEL0qG8k9dSKtgwrkEUnRmusTTHbwZQCersAEhvMbfevCksP/cGpGQ93LO/+KBk
I4WUPGnpwiw3q/ObgSw9gfl7HD8OeyqNNTJu56t3qnhTOefRqC9soK3hIrWi2nn/
IJXBQNsqdSd1rdHEgXGRl/Hxj9zLMKEHOZLOZCvuHnpCVyK+83KX1cCj4GPmdQvX
kjG0SAwPH7OvvHnvBeao2i7Lszsi8M3oqrwP4j1idoLtR9QiaE3wXuqt3V3mV+Nh
lzregVQ2XRT07y9g18iPcQyGPEHDWa2Aab5aAMbyCxIFTV+JaTJrw4EDRcHc6SfY
jtNJEeCy4QttD4j6GLJW
=b1ql
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:32:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:02:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.